use crate::log::LogLevel;

pub static INITRAMFS_DEFAULT_PATH: &str = "/boot/initramfs.tar.lzma";

pub static LOG_DEFAULT_LEVEL: LogLevel = LogLevel::Info;

// FUCKING ADD CONST UNWRAP!!!
pub static KERNEL_VERSION_MAJOR: u8 = match u8::from_str_radix(env!("CARGO_PKG_VERSION_MAJOR"), 10)
{
    Ok(ver) => ver,
    Err(_) => {
        panic!("Invalid major version number ")
    }
};
pub static KERNEL_VERSION_MINOR: u8 = match u8::from_str_radix(env!("CARGO_PKG_VERSION_MINOR"), 10)
{
    Ok(ver) => ver,
    Err(_) => {
        panic!("Invalid minor version number ")
    }
};
pub static KERNEL_VERSION_PATCH: u8 = match u8::from_str_radix(env!("CARGO_PKG_VERSION_PATCH"), 10)
{
    Ok(ver) => ver,
    Err(_) => {
        panic!("Invalid patch version number ")
    }
};
